Bug 13793 - smbstatus should optionally allow to print usernames for locked files
smbstatus should optionally allow to print usernames for locked files
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.9.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-18 16:15 UTC by Andreas Schneider
Modified: 2019-04-03 10:21 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.10 (13.59 KB, patch)
2019-03-27 15:56 UTC, Andreas Schneider
asn: review? (gd)
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-02-18 16:15:12 UTC
smbstatus should optionally allow to print usernames for locked files.


smbstatus -L --resolve-uids


Which then prints a username.
Comment 1 Andreas Schneider 2019-03-27 15:56:09 UTC
Created attachment 15009 [details]
patch for 4.10
Comment 2 Alexander Bokovoy 2019-03-27 19:10:46 UTC
Comment on attachment 15009 [details]
patch for 4.10

LGTM
Comment 3 Andreas Schneider 2019-03-27 19:51:25 UTC
Karolin, could you please add it to Samba 4.10? Thanks!
Comment 4 Karolin Seeger 2019-03-28 08:14:54 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-10-test.
Comment 5 Andreas Schneider 2019-04-02 06:02:52 UTC
Karolin, I don't see this in v4-10-test yet. Just want to make sure that this will get it :-)
Comment 6 Karolin Seeger 2019-04-02 07:50:13 UTC
(In reply to Andreas Schneider from comment #5)
Pushed to autobuild-v4-10-test again.
Comment 7 Karolin Seeger 2019-04-03 10:21:45 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-10-test.
Closing out bug report.

Thanks!